@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

body {
    background-image: url('https://papers.co/wallpaper/papers.co-vd52-abstract-dark-geometric-line-pattern-35-3840x2160-4k-wallpaper.jpg');
    color: #8A2BE2;
}

.main-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
}

.buttons {
    margin: 5px;
}

.game-board {
    width: 400px;
    height: 800px;
    display: flex;
    flex-wrap: wrap;
}

.cell {
    border: 1px solid #8A2BE2;
    height: 40px;
    width: 40px;
    border-radius: 3px;
}

.tetromino {
    background-color: blue;
}

.button {
    color: white;
    padding: 8px 16px;
    margin-bottom: 10px;
    background-color: #9400D3;
    border-radius: 5px;
    outline: none;
    border: none;
    cursor: pointer;

    &:hover {
        transform: scale(1.1);
    }
}

/* Modal */
.modal-container,
.results-container {
    position: absolute;
    width: 100%;
    min-height: 100vh;
    /* display: flex; */
    display: none;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
    background-color: #6C3082;
    padding: 20px;
    z-index: 1;
}

.modal,
.results-modal {
    display: none;
    position: relative;
    background-color: var(--modal);
    /* display: flex; */
    flex-direction: column;
    color: white;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    gap: 10px;
    padding: 20px;
    border-radius: 10px;
    z-index: 1;
    flex-shrink: 0;
}

.modal,
.modal-container {
    display: flex;
    /* display: none; */
}

.close-modal,
.close-result {
    align-self: flex-end;
    margin-right: 20px;
}

.lose-conditions,
.objective,
.game-rules {
    margin-bottom: 10px;
}

li {
    margin: 10px;
}

.result-button {
    display: none;
}

.results {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    margin: 20px auto;
}

.results-modal h1 {
    margin: 20px auto;
    ;
}